Skip to main content

Get LinkedIn Companies

POST /api/v1/get_companies

This API returns a list of companies owned or managed by the authenticated user.

Headers​

NameTypeRequired
x-api-keystringYes
x-api-secretstringYes

Request Body​

Schema​

accountIdstringrequiredThe unique identifier of the WeLink account.

Sample Request​

{
"accountId": "string"
}

Responses​

Webhook Events​

Schema​

statusstringStatus indicating the request completed successfully (e.g. "SUCCESS").
requestIdstringUnique identifier for the request.
resultarray[]The response payload.
idstringUnique identifier.
namestringCompany name.
imagestringURL of the profile picture.

Sample Response​

{
"status": "string",
"requestId": "string",
"result": [
{
"id": "string",
"name": "string",
"image": "string"
}
]
}
POST/api/v1/get_companies
x-api-key
x-api-secret